local MusicEmu = require "MusicEmu"
local ffi = require "ffi"

local musicemu
local info

local buffersamples = 2048
local rate = 44100

function love.load()
	musicemu = MusicEmu("09 - Blue Sky Laundry.vgm", buffersamples, rate)
	musicemu:start(0)

	local trackinfo = musicemu:getTrackInfo(0)
	info =
	ffi.string(trackinfo.game).."\n"..
	ffi.string(trackinfo.song).."\n"..
	ffi.string(trackinfo.author).."\n"..
	ffi.string(trackinfo.system).."\n"..
	"Intro:"..trackinfo.intro_length.."\n"..
	"Loop:"..trackinfo.loop_length.."\n"
end

function love.update(dt)
	musicemu:update()

	if musicemu:trackEnded() then
		love.event.quit()
	end
end

function love.keypressed(key)
	if key == "escape" then
		musicemu:fade()
		love.keypressed = nil
	end
end
function love.draw()
	love.graphics.print(info, 0, 0)
end
